@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
*{
    box-sizing: border-box;
}
body{
    font-family: 'Muli', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
    background-color: #333;
}
button{
    background-color: purple;
    color:#efefef;
    border:1px solid purple;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding:20px 30px;
    /* not to display outside of the button */
    overflow: hidden;
    margin:10px 0; 
    /* to add white circle effect */
    position: relative;
}
button:focus{
    outline:none;
}

button span.circle{
    position: absolute;
    background-color: #efefef;
    width:100px;
    height: 100px;
    border-radius: 50%;
    /* small white circle should be groun up from 0 to this size by a transform scale  */
    transform: translate(-50%,-50% ) scale(0);
    animation: scaleCircle 0.5s ease-out;
}
@keyframes scaleCircle {
    to {
        transform: translate(-50%,-50% ) scale(3);
        opacity:0;
    }
}